SDL_shaders_d3d11.h File Reference
`#include "../../SDL_internal.h"`
Include dependency graph for SDL_shaders_d3d11.h:

Go to the source code of this file.

## Enumerations

enum | D3D11_Shader { SHADER_SOLID, SHADER_RGB, SHADER_YUV_JPEG, SHADER_YUV_BT601, SHADER_YUV_BT709, SHADER_NV12_JPEG, SHADER_NV12_BT601, SHADER_NV12_BT709, SHADER_NV21_JPEG, SHADER_NV21_BT601, SHADER_NV21_BT709, NUM_SHADERS }

## Functions

int | D3D11_CreateVertexShader (ID3D11Device1 *d3dDevice, ID3D11VertexShader **vertexShader, ID3D11InputLayout **inputLayout)
int | D3D11_CreatePixelShader (ID3D11Device1 *d3dDevice, D3D11_Shader shader, ID3D11PixelShader **pixelShader)

## Enumeration Type Documentation

## D3D11_Shader

enum D3D11_Shader

Enumerator
SHADER_SOLID |
SHADER_RGB |
SHADER_YUV_JPEG |
SHADER_YUV_BT601 |
SHADER_YUV_BT709 |
SHADER_NV12_JPEG |
SHADER_NV12_BT601 |
SHADER_NV12_BT709 |
SHADER_NV21_JPEG |
SHADER_NV21_BT601 |
SHADER_NV21_BT709 |
NUM_SHADERS |

Definition at line 25 of file SDL_shaders_d3d11.h.

{
SHADER_SOLID,
SHADER_RGB,
SHADER_YUV_JPEG,
SHADER_YUV_BT601,
SHADER_YUV_BT709,
SHADER_NV12_JPEG,
SHADER_NV12_BT601,
SHADER_NV12_BT709,
SHADER_NV21_JPEG,
SHADER_NV21_BT601,
SHADER_NV21_BT709,
NUM_SHADERS
} D3D11_Shader;
SHADER_NV21_JPEG
Definition: SDL_shaders_d3d11.h:34
NUM_SHADERS
Definition: SDL_shaders_d3d11.h:37
SHADER_NV12_JPEG
Definition: SDL_shaders_d3d11.h:31
SHADER_NV12_BT601
Definition: SDL_shaders_d3d11.h:32
SHADER_YUV_BT601
Definition: SDL_shaders_d3d11.h:29
SHADER_NV21_BT709
Definition: SDL_shaders_d3d11.h:36
SHADER_YUV_BT709
Definition: SDL_shaders_d3d11.h:30
SHADER_RGB
Definition: SDL_shaders_d3d11.h:27
SHADER_NV21_BT601
Definition: SDL_shaders_d3d11.h:35
SHADER_YUV_JPEG
Definition: SDL_shaders_d3d11.h:28
SHADER_SOLID
Definition: SDL_shaders_d3d11.h:26
D3D11_Shader
D3D11_Shader
Definition: SDL_shaders_d3d11.h:25
SHADER_NV12_BT709
Definition: SDL_shaders_d3d11.h:33

## Function Documentation

## D3D11_CreatePixelShader()

int D3D11_CreatePixelShader | ( | ID3D11Device1 * | d3dDevice,
|  | D3D11_Shader | shader,
|  | ID3D11PixelShader ** | pixelShader
| ) |  |

## D3D11_CreateVertexShader()

int D3D11_CreateVertexShader | ( | ID3D11Device1 * | d3dDevice,
|  | ID3D11VertexShader ** | vertexShader,
|  | ID3D11InputLayout ** | inputLayout
| ) |  |